# Reference

- [Integration Builder Page](https://glyue.docs.sandboxbanking.com/reference/ui_walkthrough.md)
- [Integration Anatomy](https://glyue.docs.sandboxbanking.com/reference/integration_anatomy.md): Breakdown of the internal logic for an integration
- [Integration Components](https://glyue.docs.sandboxbanking.com/reference/integration_components.md)
- [Integration](https://glyue.docs.sandboxbanking.com/reference/integration_components/integration.md)
- [Service Request](https://glyue.docs.sandboxbanking.com/reference/integration_components/servicerequest.md)
- [Field Mapping](https://glyue.docs.sandboxbanking.com/reference/integration_components/field-mapping.md)
- [Value Mapping Set](https://glyue.docs.sandboxbanking.com/reference/integration_components/valuemappingset.md)
- [Value Mapping](https://glyue.docs.sandboxbanking.com/reference/integration_components/valuemapping.md)
- [Validation Rule](https://glyue.docs.sandboxbanking.com/reference/integration_components/validationrule.md)
- [Mask](https://glyue.docs.sandboxbanking.com/reference/integration_components/mask.md)
- [Integration Config](https://glyue.docs.sandboxbanking.com/reference/integration_components/integration-config.md)
- [Integration Engine Versions](https://glyue.docs.sandboxbanking.com/reference/integration_components/integration-engine-versions.md)
- [Integration Lifecycle](https://glyue.docs.sandboxbanking.com/reference/integration-lifecycle.md)
- [Shared Modules](https://glyue.docs.sandboxbanking.com/reference/shared-modules.md)
- [Special Functions](https://glyue.docs.sandboxbanking.com/reference/special_functions.md)
- [add\_run\_label](https://glyue.docs.sandboxbanking.com/reference/special_functions/add_run_label.md)
- [callint](https://glyue.docs.sandboxbanking.com/reference/special_functions/callint.md)
- [debug](https://glyue.docs.sandboxbanking.com/reference/special_functions/debug.md)
- [end](https://glyue.docs.sandboxbanking.com/reference/special_functions/end.md)
- [get\_namespace](https://glyue.docs.sandboxbanking.com/reference/special_functions/get_namespace.md)
- [humanize](https://glyue.docs.sandboxbanking.com/reference/special_functions/humanize.md)
- [import\_helper](https://glyue.docs.sandboxbanking.com/reference/special_functions/import_helper.md)
- [import\_module](https://glyue.docs.sandboxbanking.com/reference/special_functions/import_module.md)
- [keep](https://glyue.docs.sandboxbanking.com/reference/special_functions/keep.md)
- [list\_files](https://glyue.docs.sandboxbanking.com/reference/special_functions/list_files.md)
- [map\_value](https://glyue.docs.sandboxbanking.com/reference/special_functions/map_value.md)
- [open\_glyuefile](https://glyue.docs.sandboxbanking.com/reference/special_functions/open_glyuefile.md)
- [open\_vault](https://glyue.docs.sandboxbanking.com/reference/special_functions/open_vault.md)
- [Data Manipulation Utilities](https://glyue.docs.sandboxbanking.com/reference/special_functions/data-manipulation-utilities.md)
- [calladapter](https://glyue.docs.sandboxbanking.com/reference/special_functions/calladapter.md)
- [Special Variables](https://glyue.docs.sandboxbanking.com/reference/special_variables.md)
- [\_\_adapter\_config\_\_](https://glyue.docs.sandboxbanking.com/reference/special_variables/__adapter_config__.md)
- [input](https://glyue.docs.sandboxbanking.com/reference/special_variables/input.md)
- [parentint](https://glyue.docs.sandboxbanking.com/reference/special_variables/parentint.md)
- [retvalue](https://glyue.docs.sandboxbanking.com/reference/special_variables/retvalue.md)
- [run\_history\_id](https://glyue.docs.sandboxbanking.com/reference/special_variables/run_history_id.md)
- [Iterables](https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables.md)
- [fitem/fidx](https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables/fitem-fidx.md)
- [sritem/sridx](https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables/sritem-sridx.md)
- [vritem/vridx/vrmsg](https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables/vritem-vridx-vrmsg.md)
- [Adapters](https://glyue.docs.sandboxbanking.com/reference/adapters.md)
- [Generic HTTP Adapter](https://glyue.docs.sandboxbanking.com/reference/adapters/generic-http-adapter.md)
- [Email SMTP Adapter](https://glyue.docs.sandboxbanking.com/reference/adapters/email-smtp-adapter.md)
- [Salesforce Adapter](https://glyue.docs.sandboxbanking.com/reference/adapters/salesforce-adapter.md)
- [Web Service Endpoints](https://glyue.docs.sandboxbanking.com/reference/web-service-endpoints.md): Configuration reference for non-default HTTP(S) integration API paths and verbs
- [Vault Reference](https://glyue.docs.sandboxbanking.com/reference/vault-reference.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
